bitel.billing.server.contract.bean

## Class PaymentManager

- java.lang.Object
- - bitel.billing.server.contract.bean.PaymentManager

-     public class PaymentManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaymentManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deletePayment(int id)` Удаление платежа по коду
    `void` | `deletePaymentsById(java.lang.String idList)`
    `Payment` | `getPaymentById(int id)` Возвращает платеж по коду.
    `Payment` | `getPaymentByID(int id)` Deprecated.
    `java.util.List<Payment>` | `getPaymentList(int contractId)` Возвращает список платежей для договора отсортированный по дате
    `java.util.List<Payment>` | `getPaymentList(int contractId, java.util.Calendar date1, java.util.Calendar date2)` Deprecated.
    `java.util.List<Payment>` | `getPaymentList(int contractId, Period period)` Возвращает список платежей за период для договора отсортированный по дате
    `java.util.List<Payment>` | `getPaymentsById(java.lang.String idList)`
    `void` | `updatePayment(Payment payment)` Обновляет существующий (payment.getId() > 0) или добавляет новый платеж (payment.getId() < 0)
    `void` | `updatePayment(java.lang.String id, Payment payment)` Deprecated.
    `void` | `zeroBalancePayment(java.util.Calendar date, int contractId, int paymentTypeId)` Deprecated.
    `void` | `zeroBalancePayment(java.util.Date date, int contractId, int paymentTypeId)` Обнуление баланса с помощью виртуального платежа.
    `void` | `zeroBalancePayment(java.util.Date date, int contractId, int paymentTypeId, java.lang.String paymentComment)` Обнуление баланса с помощью виртуального платежа

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PaymentManager

          public PaymentManager(java.sql.Connection con)

  - ### Method Detail

    - #### getPaymentList

          public java.util.List<Payment> getPaymentList(int contractId)
                                                 throws java.sql.SQLException

      Возвращает список платежей для договора отсортированный по дате
      Parameters:
        `contractId` - код договора
      Returns:
        список платежей, если платежей нет, возвращает пустой список
      Throws:
        `java.sql.SQLException`

    - #### getPaymentList

          public java.util.List<Payment> getPaymentList(int contractId,
                                                        Period period)
                                                 throws java.sql.SQLException

      Возвращает список платежей за период для договора отсортированный по дате
      Parameters:
        `contractId` - код договора
        `period` - период, null - все платежи
      Returns:
        список платежей, если платежей нет, возвращает пустой список
      Throws:
        `java.sql.SQLException`

    - #### updatePayment

          public void updatePayment(Payment payment)
                             throws ru.bitel.bgbilling.common.BGException

      Обновляет существующий (payment.getId() > 0) или добавляет новый платеж (payment.getId() < 0)
      Parameters:
        `payment` - объект с данными платежа
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPaymentById

          public Payment getPaymentById(int id)
                                 throws ru.bitel.bgbilling.common.BGException

      Возвращает платеж по коду.
      Parameters:
        `id` - код платежа
      Returns:
        платеж или null если не найден
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deletePayment

          public boolean deletePayment(int id)
                                throws ru.bitel.bgbilling.common.BGException

      Удаление платежа по коду
      Parameters:
        `id` - код платежа
      Returns:
        true - платеж удален, false - иначе
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### zeroBalancePayment

          public void zeroBalancePayment(java.util.Date date,
                                         int contractId,
                                         int paymentTypeId)
                                  throws ru.bitel.bgbilling.common.BGException

      Обнуление баланса с помощью виртуального платежа. Коментарий платежа "Виртуальный платеж для обнуления баланса"
      Parameters:
        `date` - дата платежа
        `contractId` - код договора
        `paymentTypeId` - код типа платежа
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### zeroBalancePayment

          public void zeroBalancePayment(java.util.Date date,
                                         int contractId,
                                         int paymentTypeId,
                                         java.lang.String paymentComment)
                                  throws ru.bitel.bgbilling.common.BGException

      Обнуление баланса с помощью виртуального платежа
      Parameters:
        `date` - дата платежа
        `contractId` - код договора
        `paymentTypeId` - код типа платежа
        `paymentComment` - коментарий платежа
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPaymentsById

          public java.util.List<Payment> getPaymentsById(java.lang.String idList)
                                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### deletePaymentsById

          public void deletePaymentsById(java.lang.String idList)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### zeroBalancePayment

          @Deprecated
          public void zeroBalancePayment(java.util.Calendar date,
                                                     int contractId,
                                                     int paymentTypeId)
                                              throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Использовать `zeroBalancePayment(Date, int, int, String)` или `zeroBalancePayment(Date, int, int)`.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPaymentList

          @Deprecated
          public java.util.List<Payment> getPaymentList(int contractId,
                                                                    java.util.Calendar date1,
                                                                    java.util.Calendar date2)
                                                             throws java.sql.SQLException

      Deprecated.
      Использовать `getPaymentList(int, Period)`.
      Throws:
        `java.sql.SQLException`

    - #### updatePayment

          @Deprecated
          public void updatePayment(java.lang.String id,
                                                Payment payment)
                                         throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Использовать `updatePayment(Payment)`.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPaymentByID

          @Deprecated
          public Payment getPaymentByID(int id)
                                             throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Использовать `getPaymentById(int)`.
      Throws:
        `ru.bitel.bgbilling.common.BGException`